body {
    font-family: 'Open Sans';
    font-weight: 100;
    display: flex;
    overflow: hidden;
    background-color: #000;
    color: #fff;
}

input ::-webkit-input-placeholder {
    color: rgba(255, 255, 255, 0.7);
}
input ::-moz-placeholder {
    color: rgba(255, 255, 255, 0.7);
}
input :-ms-input-placeholder {
    color: rgba(255, 255, 255, 0.7);
}
input:focus {
    outline: 0 transparent solid;
}
input:focus ::-webkit-input-placeholder {
    color: rgba(0, 0, 0, 0.7);
}
input:focus ::-moz-placeholder {
    color: rgba(0, 0, 0, 0.7);
}
input:focus :-ms-input-placeholder {
    color: rgba(0, 0, 0, 0.7);
}
#mainContent {
    margin: auto;
}
.login-form {
    min-height: 10rem;
    padding: 0.5rem;
    display: flex;
    flex-direction: column;
    margin-top: 70px;
    align-items: center;
}
.login-form span {
    font-size: 24px;
    border: 2px solid #fff;
    border-radius: 24px;
    padding: 8px;
    margin-top: 50px;
}
.login-username, .login-password {
    background: transparent;
    border: 0 solid;
    border-bottom: 1px solid rgba(255, 255, 255, .5);
    color: white;
    display: block;
    margin: 1rem;
    padding: 0.5rem;
    transition: 250ms background ease-in;
    width: calc(100% - 3rem);
}
.login-username:focus, .login-password:focus {
    background: white;
    color: black;
    transition: 250ms background ease-in;
}
.login-submit {
    border: 1px solid white;
    background: transparent;
    color: white;
    display: block;
    margin: 1rem auto;
    min-width: 1px;
    padding: 0.25rem;
    transition: 250ms background ease-in;
}
.login-submit:hover, .login-submit:focus {
    background: white;
    color: black;
    transition: 250ms background ease-in;
}
